#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

import os
import sys

from product_conf import (STOR_IF_TO_VOL, )
from product_conf.devinfo import (VOL_INFO, )

# debpkg_utils.pyインポート用
sys.path.append(os.path.join(
    os.path.dirname(os.path.abspath(__file__)),
    os.path.pardir))

from debpkg_utils import *


INTERNAL_VOL = STOR_IF_TO_VOL["internal"][1]

MANUAL_PATH = os.path.join(VOL_INFO[INTERNAL_VOL]["mnt_point"],
                VOL_INFO[INTERNAL_VOL]["share_root"],
                "LAN DISK Manual",
                "hdlh-appleshare-manual.pdf")

SET_MAN_CMD_PATH = "/mnt/data/libexec/evh/evh_apple_manual_set.py"



def install():
    """Install manual."""

    set_package_manual(SET_MAN_CMD_PATH)


def update():
    """Update manual."""

    set_package_manual(SET_MAN_CMD_PATH)

def uninstall():
    """uninstall manual."""

    os.unlink(MANUAL_PATH)
